#include <iostream>
#include <string>
#include <vector>
#include <cstdlib>

using std::cin;
using std::cout;
using std::endl;
using std::string;
using std::vector;

void randomize_sentence(vector<string>& src_sentence, vector<string>& dst_sentence)
  {
    dst_sentence.clear();
    vector<int> picked_words;
    for(size_t n= 0; n < src_sentence.size(); ++n)
    {
      int picked_index= -1;
      while(picked_index == -1)
      {
        picked_index= rand() % src_sentence.size();
        for(size_t i= 0; i < picked_words.size(); ++i)
        {
          if(picked_index == picked_words[i])
          {
            picked_index= -1;
            break;
          }
        }
      }
      dst_sentence.push_back(src_sentence[picked_index]);
      picked_words.push_back(picked_index);
    }
  }

int main()
  {
    string word;
    vector<string> sentence;
    vector<vector<string> > paragraph;
    while(cin >> word)
    {
      size_t period_pos= word.find('.');
      if(period_pos != string::npos)
      {
        word.erase(period_pos);
      }
      sentence.push_back(word);
      if(period_pos != string::npos)
      {
        paragraph.push_back(sentence);
        sentence.clear();
      }
    }
    for(size_t s= 0; s < paragraph.size(); ++s)
    {
      vector<string> out_sentence;
      randomize_sentence(paragraph[s], out_sentence);
      for(size_t w= 0; w < out_sentence.size(); ++w)
      {
        cout << out_sentence[w];
        if(w < out_sentence.size()-1)
        {
          cout << ' ';
        }
        else
        {
          cout << ".  ";
        }
      }
    }
    cout << endl;
    return 0;
  }
